private.h(3)

NAME
private.h - Declaration of ccRTP internal stuff.

SYNOPSIS

#include <commoncpp/config.h>
#include <commoncpp/thread.h>
#include <commoncpp/socket.h>
#include <commoncpp/udp.h>
#include <commoncpp/process.h>
#include <commoncpp/export.h>
#include <ccrtp-config.h>

  Macros

#define I(e) /* empty */
#define DL(e) /* empty */
#define VDL(e) /* empty */

  Functions

uint32 random32 ()
uint16 random16 ()

  Variables

const NAMESPACE_COMMONCPP uint32 NTP_EPOCH_OFFSET = static_cast<uint32>(2208992400ul)

Detailed Description

Declaration of ccRTP internal stuff.

This header includes the autogenerated config.h, the general header (rtp.h) and the nana assertion checking library headers. It also defines common macros and constants.

Macro Definition Documentation

  #define DL(e) /* empty */

  #define I(e) /* empty */

  #define VDL(e) /* empty */

Function Documentation

  uint16 random16 ()

  uint32 random32 ()

Variable Documentation

  const NAMESPACE_COMMONCPP uint32 NTP_EPOCH_OFFSET = static_cast<uint32>(2208992400ul)

Author

Generated automatically by Doxygen for ccRTP from the source code.